body{
    margin: 0;
    padding: 0;
    background: #f1f1f1;
}
ul{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    margin: 0;
    padding: 0;
    display: flex;
}
ul li{
    position: relative;
    list-style: none;
    margin: 0 2px;
}
ul li:before{
    content: '';
    position: absolute;
    left: 0;
    bottom: -4px;
    width: 40px;
    height: 8px;
    background: #000;
    border-radius: 50%;
    transition: .5s;
    opacity: 0;
    filter: blur(2px);
    transform: scale(0.8);
}
ul li:hover:before{
    transition-delay: .5s;
    opacity: .2;
    transform: scale(1);
}
ul li a{
    width: 40px;
    height: 40px;
    display: block;
    transition: .5s;
    background: #ccc;
}
ul li:hover a{
    transform: translateY(-10px);
}
ul li a span{
    width: 100%;
    height: 100%;
}
ul li a span:before{
    content: 'A';
    font-family: fontAwesome;
    text-align: center;
    line-height: 40px;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #fff;
    color: #262626;
    transform-origin: top;
    transition: transform .5s;
}
ul li:hover a span:before{
    transform: rotateX(90deg) translateY(-50%);
}
ul li a span:after{
    content: 'B';
    font-family: fontAwesome;
    text-align: center;
    line-height: 40px;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #ccc;
    color: #ddd;
    transform-origin: bottom;
    transition: transform .5s;
    transform: rotateX(90deg) translateY(50%);

}
ul li:hover a span:after{
    transform: rotateX(0deg) translateY(0);
}
ul li:nth-child(1) a span:before,
ul li:nth-child(1) a span:after{
    content: '\f09a';

}
ul li:nth-child(2) a span:before,
ul li:nth-child(2) a span:after{
    content: '\f099';

}
ul li:nth-child(3) a span:before,
ul li:nth-child(3) a span:after{
    content: '\f0e1';

}
ul li:nth-child(4) a span:before,
ul li:nth-child(4) a span:after{
    content: '\f0d5';

}
ul li:nth-child(5) a span:before,
ul li:nth-child(5) a span:after{
    content: '\f16d';

}
ul li:nth-child(1) a span:after{
    background: #3b5999;
}
ul li:nth-child(2) a span:after{
    background: #55acce;
}
ul li:nth-child(3) a span:after{
    background: #dd4b39;
}
ul li:nth-child(4) a span:after{
    background: #0077b5;
}
ul li:nth-child(5) a span:after{
    background: #e4405f;
}